<?php
/**
 * -----------------------------------------
 * @since 2.0 - 17.02.2025
 * @version 2.0
 * @link https://www.php-space.info/umfrage-script/
 * @author Nico Schubert / SchubertMedia
 * @abstract E-Mail: info@schubertmedia.de
 *
 * @copyright Es ist untersagt den Copyright Hinweis zu entfernen bei den Umfrage Script.
 * @abstract Eine Copyright freie Version können Sie für einmalig 20,- EUR inkl. 19% MwSt. erwerben,
 * hierzu möchten wir Sie bitten das Bestellformular https://www.php-space.info/script-erweiterung-bestellen/ zu nutzen.
 * -----------------------------------------
 */

/**
 * Pfad zum Script Verzeichnis
 * @example define('DIR', '/var/www/web1/html');
 * @var string
 */
define('DIR', str_replace('/inc', '', dirname(__FILE__)));
/**
 * Name des Sprachordners (z. B. de_sie, en, es, fr, it).
 * Dieser Ordner enthält die Sprachdateien, die für die
 * Lokalisierung des Skripts verwendet werden.
 *
 * @var string Sprachcode des Ordners
 */
const LANGUAGE = 'de_sie';

/**
 * Definiertes Zeichensatz-Charset zur Kodierung der Inhalte.
 * Wird verwendet, um die richtige Zeichenkodierung im gesamten Skript sicherzustellen,
 * insbesondere bei der Verarbeitung und Anzeige von Texten.
 * @var string Zeichensatz wie z.B. UTF-8
 */
const CHARSET = 'UTF-8';

/**
 * Pfad zum Verzeichnis der Sprachdatei.
 * Dieser Pfad wird genutzt, um die entsprechenden Sprachdateien
 * für die Umfrage zu laden, basierend auf der festgelegten Sprache.
 *
 * @var string Absoluter Pfad zur Sprachdatei
 */
const LANGUAGE_DIR = DIR . '/language/' . LANGUAGE;

/**
 * Template, Das Template im Ordner /template
 * @var string
 */
const TEMPLATE = 'standard';

/**
 * Pfad zu den Template-Dateien.
 * Hier werden die Templates für die Darstellung der Umfrage gespeichert.
 * @var string
 */
const TEMPLATE_DIR = DIR . '/template/' . TEMPLATE;

/**
 * Ihre Frage.
 * @var string $frage
 */
(string)$frage='Wie gefällt Ihnen Php Space?';

/**
 * Antworten der Umfrage.
 * @var array $antwort
 */
$antwort = array();
$antwort[]='Sehr Gut';
$antwort[]='Gut';
$antwort[]='Befriedigen';

/**
 * Title Ihrer Webseite
 * @var string
 */
const TITLE = 'Umfrage auf Ihre_Webseite.de';

/**
 * Anzeigen der Gesamtanzahl abgegebener Stimmen.
 * @var bool true = Anzeigen, false = Nicht anzeigen
 */
const STIMMEN_GESAMT_ANZEIGEN = true;

/**
 * Ip-Reload anschalten?
 * @var boolean true = an, false = wir nur per Cookie gecheckt
 */

const IP_RELOAD = true;

/**
 * Zeit in Minuten, für die eine erneute Teilnahme gesperrt werden soll
 * (Reload-Sperre).
 * @var int
 */
const ZEIT_RELOAD = '5';

/**
 * Datei wo die Umfrageergebnisse gespeichert werden
 * @var string
 */
const DATEI_UMFRAGEERGEBNISSE = DIR . '/data/wahl.txt';

/**
 * Datei wo die IP-Adressen gespeichert werden
 * @var string
 */
const DATEI_IPS = DIR . '/data/ip.txt';